Bug 1009715 - Gstreamer not enabled?
Gstreamer not enabled?
Status: CLOSED DUPLICATE of bug 843583
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
20
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 21:06 EDT by Eric Griffith
Modified: 2013-12-11 10:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-21 06:48:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Griffith 2013-09-18 21:06:59 EDT
So we all know that Firefox 24 was released the other day. One of the big features is that it can now hook into gstreamer0.10 for h.264 support, much like it hooks into the codec system on Windows. This support must be enabled at runtime via going to about:config and searching for "media.gstreamer.enabled" and setting the boolean value to true.

Fired up firefox, went to about:config and looked...No gstreamer key. 

Is this also a compile time option and if so, why is it disabled?? User has to choose to have h.264 installed as a gstreamer plugin, and if its not found then Firefox just doesnt advertise support, so its not on Fedora to keep it 'clean' for copyright's sake. 

Asking for this to be looked into and if it IS a compile time option, I ask that a firefox 24 update be re-issued with the package compiled as such. This is perhaps the most important issue for Linux users of Firefox 24 and its a shame (and more than a little frustrating) that Fedora is being left out of it.
Comment 1 Jim 2013-09-20 21:50:34 EDT
Looking at about:buildconfig in Firefox 24 on Fedora 19 (firefox-24.0-1.fc19.x86_64) I see "--disable-gstreamer" in the "Configure arguments" section. So to me that says gstreamer support is currently being disabled at compile time. All that would need to happen is a rebuild without the --disable-gstreamer option.
Comment 2 Julian Sikorski 2013-09-21 06:48:37 EDT

*** This bug has been marked as a duplicate of bug 843583 ***
Comment 3 Harald Reindl 2013-12-11 08:16:56 EST
PING

firefox 26 is still built with --disable-gstreamer
Comment 4 Martin Stransky 2013-12-11 10:00:13 EST
(In reply to Harald Reindl from comment #3)
> PING
> 
> firefox 26 is still built with --disable-gstreamer

It's becase of https://bugzilla.mozilla.org/show_bug.cgi?id=806917. If you want to help here feel free to attach patches for it. I can propagate it upstream and manage to review it.
Comment 5 Harald Reindl 2013-12-11 10:04:04 EST
i wonder why fedora ships gstreamer-0.10 packages at all if maintainers insist in using the 1.0 packages even when upstream is not ready and prefer drop features instead use the available ressources of the distribution

[root@rh:~]$ rpm -qa | grep gstreamer | grep -v gstreamer1
gstreamer-plugins-ugly-0.10.19-11.fc19.x86_64
gstreamer-ffmpeg-0.10.13-10.fc19.x86_64
gstreamer-0.10.36-3.fc19.x86_64
gstreamer-plugins-bad-free-0.10.23-17.fc19.x86_64
gstreamer-plugins-good-0.10.31-9.fc19.x86_64
gstreamer-python-0.10.22-4.fc19.x86_64
gstreamer-plugins-base-0.10.36-4.fc19.x86_64
gstreamer-tools-0.10.36-3.fc19.x86_64
Comment 6 Martin Stransky 2013-12-11 10:06:42 EST
AFAIK gstreamer-0.10 has security issues (among other ones). But I'm not an expert here, better to ask gnome folks.

Note You need to log in before you can comment on or make changes to this bug.